﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace WinRTNavigation
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class SecondChart : Page
    {
        SfChart chart = new SfChart();
        public ObservableCollection<CategoryData> catDatas { get; set; }
        public List<Brush> chartcolor { get; set; }
        public SecondChart()
        {
            this.InitializeComponent();
            catDatas = new ObservableCollection<CategoryData>();
            catDatas.Add(new CategoryData { name = "silver", value = 15, value1 = 10 });
            catDatas.Add(new CategoryData { name = "gold", value = 10, value1 = 9 });
            catDatas.Add(new CategoryData { name = "iron", value = 12, value1 = 17 });
            catDatas.Add(new CategoryData { name = "steel", value = 20, value1 = 12 });
            catDatas.Add(new CategoryData { name = "gold", value = 10, value1 = 9 });
            //catDatas.Add(new CategoryData { name = "iron", value = 12, value1 = 17 });
            //catDatas.Add(new CategoryData { name = "steel", value = 20, value1 = 12 });

            PieSeries pie = new PieSeries();
            pie.ItemsSource = catDatas;
            pie.XBindingPath = "name";
            pie.YBindingPath = "value";
            pie.Palette = ChartColorPalette.Custom;
            chartcolor = new List<Brush>();
            chartcolor.Add(new SolidColorBrush(Colors.Green));
            chartcolor.Add(new SolidColorBrush(Colors.Red));
            chartcolor.Add(new SolidColorBrush(Colors.Purple));
            chartcolor.Add(new SolidColorBrush(Colors.Blue));
            chartcolor.Add(new SolidColorBrush(Colors.Brown));
            ChartColorModel colorsvalue = new ChartColorModel();
            colorsvalue.CustomBrushes = chartcolor;
            pie.ColorModel = colorsvalue;
            chart.Series.Add(pie);
            chart.Header = "Sub Page";
            grid.Children.Add(chart);
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            this.Frame.GoBack();
        }
    }
}
